/*  $Id: console_window.cpp,v 1.5 2003/07/20 22:30:53 grumbel Exp $
**
**  ClanLib Game SDK
**  Copyright (C) 2003  The ClanLib Team
**  For a total list of contributers see the file CREDITS.
**
**  This library is free software; you can redistribute it and/or
**  modify it under the terms of the GNU Lesser General Public
**  License as published by the Free Software Foundation; either
**  version 2.1 of the License, or (at your option) any later version.
**
**  This library is distributed in the hope that it will be useful,
**  but WITHOUT ANY WARRANTY; without even the implied warranty of
**  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
**  Lesser General Public License for more details.
**
**  You should have received a copy of the GNU Lesser General Public
**  License along with this library; if not, write to the Free Software
**  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307  USA
**
*/

#include "Core/precomp.h"
#include "API/Core/System/console_window.h"
#include "console_window_generic.h"

/////////////////////////////////////////////////////////////////////////////
// CL_ConsoleWindow construction:

CL_ConsoleWindow::CL_ConsoleWindow(
	const std::string &title,
	int width,
	int height)
: impl(NULL)
{
	impl = new CL_ConsoleWindow_Generic(title, width, height);
}

CL_ConsoleWindow::~CL_ConsoleWindow()
{
	delete impl;
}

/////////////////////////////////////////////////////////////////////////////
// CL_ConsoleWindow operations:

void CL_ConsoleWindow::redirect_stdio()
{
	impl->redirect_stdio();
}

void CL_ConsoleWindow::redirect_stdio(const std::string &filename)
{
	impl->redirect_stdio(filename);
}

void CL_ConsoleWindow::wait_for_key()
{
	impl->wait_for_key();
}

void CL_ConsoleWindow::display_close_message()
{
	impl->display_close_message();
}
